Bug 98152 - Fail to sync Palm more than once with USB in VMWare with current OS updates applied
Summary: Fail to sync Palm more than once with USB in VMWare with current OS updates a...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-27 01:02 UTC by Mitsu Hadeishi
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mitsu Hadeishi 2003-06-27 01:02:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I recently did an apt-get update; apt-get upgrade which upgraded a bunch of the
more recent packages to RH9, and now the following happens:

I currently have my VMWare set up to sync with my Palm (a Sony Clie NX70V) via
USB.  To avoid Red Hat grabbing the USB port when I try to sync, I have disabled
the visor module (I renamed it to visor.old).  This has been working fine; I can
sync to VMWare and everything works perfectly.

Until now.  I recently (June 25, 2003) did a full upgrade using apt-get ---
which applied a bunch of upgraded packages to my system.  Unfortunately I don't
have the list, but it downloaded and applied about 10 upgrades (I haven't done
an upgrade for at least a couple of months, maybe a few).

Now, when I sync, it works the first time, but after that it never connects to
the virtual machine.  Sometimes an error message comes up saying that the VM
cannot grab the USB because the serial module has already taken it.  I have
never seen this error message before (prior to this, it was always the visor
module that would grab the USB).

I attempted to rmmod usbserial but it always says "device or resource busy" even
when I have disconnected my serial cable.  So, essentially, I can only sync
once, and after that I have to reboot to sync again with VMWare.  Stopping and
restarting VMWare doesn't do anything.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update RH9 to roughly the latest available as of June 25.
2. Boot the system.
3. Run VMWare with Windows 2000 Professional as a guest.
4. Sync your palm via USB (in my case a Sony Clie NX70V).
5. Attempt to sync again


Actual Results:  Sync fails the second time.

Expected Results:  Sync proceeds normally.

Additional info:

Here's some potentially interesting info from /var/log/messages:

Jun 26 17:46:09 localhost kernel: usb-uhci.c: interrupt, status 3, frame# 580
Jun 26 17:46:09 localhost kernel: usb.c: USB disconnect on device 00:1d.0-1
address 3
Jun 26 17:46:09 localhost kernel: usbserial.c: Handspring Visor / Treo / Palm
4.0 / Cli� 4.x converter now disconnected from ttyUSB0
Jun 26 17:46:09 localhost kernel: usbserial.c: Handspring Visor / Treo / Palm
4.0 / Cli� 4.x converter now disconnected from ttyUSB1
Jun 26 17:46:10 localhost kernel: scsi1 : IEEE-1394 SBP-2 protocol driver (host:
ohci1394)
Jun 26 17:46:10 localhost kernel: $Rev: 707 $ James Goodwin <jamesg@filanet.com>
Jun 26 17:46:10 localhost kernel: SBP-2 module load options:
Jun 26 17:46:10 localhost kernel: - Max speed supported: S400
Jun 26 17:46:10 localhost kernel: - Max sectors per I/O supported: 255
Jun 26 17:46:10 localhost kernel: - Max outstanding commands supported: 64
Jun 26 17:46:10 localhost kernel: - Max outstanding commands per lun supported: 1
Jun 26 17:46:10 localhost kernel: - Serialized I/O (debug): no
Jun 26 17:46:10 localhost kernel: - Exclusive login: yes
Jun 26 17:46:10 localhost kernel: scsi : 1 host left.
Jun 26 17:46:12 localhost devlabel: devlabel service started/restarted

Comment 1 Alan Cox 2003-07-05 13:24:47 UTC
Modules are loaded based on the /sbin/hotplug rules. Linux will try to claim
treo etc devices. This is not a bug. You can modify hotplug to leave devices
free for vmware if you need



Comment 2 Mitsu Hadeishi 2003-07-05 16:00:07 UTC
Whoa now, wait just a second here.  Perhaps you can explain the following (I may
not understand hotplug correctly):

1) Yes, I realize Linux normally tries to claim a Palm device.  This is why I
disabled the visor module to make sure that it would leave it free for VMWare.

2) VMWare does not directly access the hardware --- it relies on Linux to talk
to the hardware.  VMWare simply claims the device AFTER Linux detects the
device.  I.e., it acts like a module like visor, and claims the device. 
Therefore, I believe VMWare requires that hotplug be operating in order to work
at all.  Disabling hotplug for USB devices will also disable VMWare's access to
USB devices.

3) This did not occur before.  I.e., VMWare used to be able to sync just fine as
many times as I liked, as long as I either removed the visor module or rmmod'd
it over and over.  So has something changed  recently to change the behavior of
hotplug?


Comment 3 Mitsu Hadeishi 2003-07-05 16:29:27 UTC
Well, I just updated to the latest kernel (2.4.20-18.9) and this bug no longer
occurs in that version of the kernel.  So I am re-closing the bug.

Comment 4 Mitsu Hadeishi 2003-07-28 21:12:07 UTC
This bug has reappeared with the newest kernel (2.4.20-19.9)

Comment 5 Mitsu Hadeishi 2003-07-28 21:41:07 UTC
Is there any way I can access any log files associated with the usb subsystem
beyond those in /var/log/messages?



Comment 6 Bugzilla owner 2004-09-30 15:41:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.